[ANN] Apache Maven Enforcer Plugin 3.0.0-M1 Released

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[ANN] Apache Maven Enforcer Plugin 3.0.0-M1 Released

rfscholte
The Apache Maven team is pleased to announce the release of the Apache  
Maven Enforcer Plugin, version 3.0.0-M1

The Enforcer plugin provides goals to control certain environmental  
constraints such as Maven version, JDK version and OS family along with  
many more standard rules and user created rules.

https://maven.apache.org/enforcer/maven-enforcer-plugin/

You should specify the version in your project's plugin configuration:

<plugin>
   <groupId>org.apache.maven.plugins</groupId>
   <artifactId>maven-enforcer-plugin</artifactId>
   <version>3.0.0-M1</version>
</plugin>

You can download the appropriate sources etc. from the download page:

https://maven.apache.org/enforcer/download.cgi

NOTE: this is a milestone release, because there are still some open  
issues which need to be fixed before the official 3.0.0.
This release is mainly there to provide a Java9 compatible plugin  
(previous versions of some rules fail the build).


Release Notes - Maven Enforcer Plugin - Version 3.0.0-M1

** Bug
     * [MENFORCER-234] - Link to plugin's web site is reported as  
redirected by maven linkcheck plugin.
     * [MENFORCER-239] - Fix link in navigation  
(enforcer/maven-enforcer-plugin/index.html) RESOURCES
     * [MENFORCER-240] - Link to page does not work
     * [MENFORCER-265] - Get site generation working
     * [MENFORCER-274] - Use of RequireJavaVersion with Java-9 breaking  
starting at b175

** Improvement
     * [MENFORCER-228] - DependencyConvergence: Simplify logging errors
     * [MENFORCER-253] - Upgrade maven-shared-components parent to version  
30
     * [MENFORCER-259] - The rule BanDuplicatePomDependencyVersions is not  
documented
     * [MENFORCER-263] - Upgrade mrm-maven-plugin to 1.0.0
     * [MENFORCER-266] - Remove usage of prerequisites in parent pom
     * [MENFORCER-267] - Upgrade to make Maven 3+

** New Feature
     * [MENFORCER-204] - Add new rule: should be able to make sure that  
project artifact is a Snapshot
     * [MENFORCER-247] - Add a "require file checksum" rule
     * [MENFORCER-273] - RequireUpperBoundDeps.excludes

** Task
     * [MENFORCER-272] - Allow site generation to work


Enjoy,

-The Apache Maven team

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Loading...